DevExtreme v25.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

JavaScript/jQuery Popup - Scrolling

This demo shows two implementations of scrolling in the JavaScript Popup component.

When you click the first Show JavaScript Popup button, a JavaScript Popup with a native scrollbar appears. The component always displays a native scrollbar when the height of the JavaScript Popup's content is greater than that of the JavaScript Popup.

Backend API
$(() => { $('#show-popup-button').dxButton({ text: 'Show Popup', width: 300, type: 'default', onClick() { popup.show(); }, }); $('#show-popup-with-scrollview-button').dxButton({ text: 'Show Popup', width: 300, onClick() { popupWithScrollView.show(); }, }); const popup = $('#popup') .dxPopup({ width: 360, height: 320, visible: false, title: 'Downtown Inn', hideOnOutsideClick: true, showCloseButton: true, toolbarItems: [ { widget: 'dxButton', toolbar: 'bottom', location: 'center', options: { width: 300, text: 'Book', type: 'default', stylingMode: 'contained', onClick() { popup.hide(); }, }, }, ], }) .dxPopup('instance'); const popupWithScrollView = $('#popup-with-scrollview') .dxPopup({ width: 360, height: 320, visible: false, title: 'Downtown Inn', hideOnOutsideClick: true, showCloseButton: true, toolbarItems: [ { widget: 'dxButton', toolbar: 'bottom', location: 'center', options: { width: 300, text: 'Book', type: 'default', stylingMode: 'contained', onClick() { popupWithScrollView.hide(); }, }, }, ], contentTemplate() { const $scrollView = $('<div/>'); $scrollView.append($('<div/>').html(htmlContent)); $scrollView.dxScrollView({ width: '100%', height: '100%', }); return $scrollView; }, }) .dxPopup('instance'); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml" lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.3/css/dx.light.css" /> <script src="js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="button-container"> <div id="show-popup-button"></div> <div class="label"> A native scrollable container </div> </div> <div class="button-container"> <div id="show-popup-with-scrollview-button"></div> <div class="label"> The ScrollView </div> </div> </div> <div id="popup"> <div class="popup-content"> <div class="caption">Description</div> In the heart of LA's business district, the Downtown Inn has a welcoming staff and award winning restaurants that remain open 24 hours a day. Use our conference room facilities to conduct meetings and have a drink at our beautiful rooftop bar. <br /><br /> <div class="content"> <div> <div class="caption">Features</div> <div>Concierge</div> <div>Restaurant</div> <div>Valet Parking</div> <div>Fitness Center</div> <div>Sauna</div> <div>Airport Shuttle</div> </div> <div> <div class="caption">Rooms</div> <div>Climate control</div> <div>Air conditioning</div> <div>Coffee/tea maker</div> <div>Iron/ironing</div> </div> </div> </div> </div> <div id="popup-with-scrollview"></div> </body> </html>
.label { font-size: 12px; } .demo-container { height: 450px; display: flex; align-items: center; flex-direction: column; justify-content: center; gap: 40px; } .button-container { display: flex; align-items: center; flex-direction: column; justify-content: center; gap: 15px; } .dx-popup-content { font-size: 12px; } .caption { padding-bottom: 8px; font-weight: 500; } .content { display: flex; justify-content: space-between; } .popup-content { height: 100%; width: 100%; }
const htmlContent = "<div class='caption'>Description</div>In the heart of LA's business district, the Downtown Inn has a welcoming staff and award winning restaurants that remain open 24 hours a day. Use our conference room facilities to conduct meetings and have a drink at our beautiful rooftop bar.<br><br><div class='content'><div><div class='caption'>Features</div><div>Concierge</div><div>Restaurant</div><div>Valet Parking</div><div>Fitness Center</div><div>Sauna</div><div>Airport Shuttle</div></div><div><div class='caption'>Rooms</div><div>Climate control</div><div>Air conditioning</div><div>Coffee/tea maker</div><div>Iron/ironing</div></div></div>";

A click on the second Show JavaScript Popup button also displays a JavaScript Popup with a scrollbar, but this scrollbar belongs to the ScrollView component. This implementation is more flexible. For example, you can enable right-to-left representation or scroll the content to a specific position. For more information about the available options, refer to the ScrollView API section.

To implement the second solution, follow the steps below:

  1. Wrap the content in the ScrollView component and place it in the JavaScript Popup container.

  2. Set the height and width of the ScrollView to 100% of the popup content area.

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
import React, { useCallback, useMemo, useState } from 'react';
import { Button } from 'devextreme-react';
import { Popup, ToolbarItem } from 'devextreme-react/popup';
import ScrollView from 'devextreme-react/scroll-view';
export default function App() {
const [popupVisible, setPopupVisible] = useState(false);
const [popupWithScrollViewVisible, setPopupWithScrollViewVisible] = useState(false);
const showPopup = useCallback(() => {
setPopupVisible(true);
}, [setPopupVisible]);
const showPopupWithScrollView = useCallback(() => {
setPopupWithScrollViewVisible(true);
}, [setPopupWithScrollViewVisible]);
const hide = useCallback(() => {
setPopupVisible(false);
setPopupWithScrollViewVisible(false);
}, [setPopupVisible, setPopupWithScrollViewVisible]);
const bookButtonOptions = useMemo(() => ({
width: 300,
text: 'Book',
type: 'default',
stylingMode: 'contained',
onClick: hide,
}), [hide]);
return (
<React.Fragment>
<div className="demo-container">
<div className="button-container">
<Button
text="Show Popup"
type="default"
width={300}
onClick={showPopup}
/>
<div className="label"> A native scrollable container </div>
</div>
<div className="button-container">
<Button
text="Show Popup"
width={300}
onClick={showPopupWithScrollView}
/>
<div className="label"> The ScrollView </div>
</div>
</div>
<Popup
width={360}
height={320}
visible={popupVisible}
onHiding={hide}
hideOnOutsideClick={true}
showCloseButton={true}
title="Downtown Inn">
<div className="popup-content">
<div className="caption">Description</div>
In the heart of LA's business district, the Downtown Inn has a welcoming staff
and award winning restaurants that remain open 24 hours a day.
Use our conference room facilities to conduct meetings and have a drink
at our beautiful rooftop bar.
<br /><br />
<div className="content">
<div>
<div className="caption">Features</div>
<div>Concierge</div>
<div>Restaurant</div>
<div>Valet Parking</div>
<div>Fitness Center</div>
<div>Sauna</div>
<div>Airport Shuttle</div>
</div>
<div>
<div className="caption">Rooms</div>
<div>Climate control</div>
<div>Air conditioning</div>
<div>Coffee/tea maker</div>
<div>Iron/ironing</div>
</div>
</div>
</div>
<ToolbarItem
widget="dxButton"
toolbar="bottom"
location="center"
options={bookButtonOptions}
/>
</Popup>
<Popup
width={360}
height={320}
visible={popupWithScrollViewVisible}
onHiding={hide}
hideOnOutsideClick={true}
showCloseButton={true}
title="Downtown Inn">
<ScrollView width='100%' height='100%'>
<div className="caption">Description</div>
In the heart of LA's business district, the Downtown Inn has a welcoming staff
and award winning restaurants that remain open 24 hours a day.
Use our conference room facilities to conduct meetings and have a drink
at our beautiful rooftop bar.
<br /><br />
<div className="content">
<div>
<div className="caption">Features</div>
<div>Concierge</div>
<div>Restaurant</div>
<div>Valet Parking</div>
<div>Fitness Center</div>
<div>Sauna</div>
<div>Airport Shuttle</div>
</div>
<div>
<div className="caption">Rooms</div>
<div>Climate control</div>
<div>Air conditioning</div>
<div>Coffee/tea maker</div>
<div>Iron/ironing</div>
</div>
</div>
</ScrollView>
<ToolbarItem
widget="dxButton"
toolbar="bottom"
location="center"
options={bookButtonOptions}
/>
</Popup>
</React.Fragment>
);
}
import React, { useCallback, useMemo, useState } from 'react';
import { Button } from 'devextreme-react';
import { Popup, ToolbarItem } from 'devextreme-react/popup';
import ScrollView from 'devextreme-react/scroll-view';
export default function App() {
const [popupVisible, setPopupVisible] = useState(false);
const [popupWithScrollViewVisible, setPopupWithScrollViewVisible] = useState(false);
const showPopup = useCallback(() => {
setPopupVisible(true);
}, [setPopupVisible]);
const showPopupWithScrollView = useCallback(() => {
setPopupWithScrollViewVisible(true);
}, [setPopupWithScrollViewVisible]);
const hide = useCallback(() => {
setPopupVisible(false);
setPopupWithScrollViewVisible(false);
}, [setPopupVisible, setPopupWithScrollViewVisible]);
const bookButtonOptions = useMemo(
() => ({
width: 300,
text: 'Book',
type: 'default',
stylingMode: 'contained',
onClick: hide,
}),
[hide],
);
return (
<React.Fragment>
<div className="demo-container">
<div className="button-container">
<Button
text="Show Popup"
type="default"
width={300}
onClick={showPopup}
/>
<div className="label"> A native scrollable container </div>
</div>
<div className="button-container">
<Button
text="Show Popup"
width={300}
onClick={showPopupWithScrollView}
/>
<div className="label"> The ScrollView </div>
</div>
</div>
<Popup
width={360}
height={320}
visible={popupVisible}
onHiding={hide}
hideOnOutsideClick={true}
showCloseButton={true}
title="Downtown Inn"
>
<div className="popup-content">
<div className="caption">Description</div>
In the heart of LA's business district, the Downtown Inn has a welcoming staff and
award winning restaurants that remain open 24 hours a day. Use our conference room
facilities to conduct meetings and have a drink at our beautiful rooftop bar.
<br />
<br />
<div className="content">
<div>
<div className="caption">Features</div>
<div>Concierge</div>
<div>Restaurant</div>
<div>Valet Parking</div>
<div>Fitness Center</div>
<div>Sauna</div>
<div>Airport Shuttle</div>
</div>
<div>
<div className="caption">Rooms</div>
<div>Climate control</div>
<div>Air conditioning</div>
<div>Coffee/tea maker</div>
<div>Iron/ironing</div>
</div>
</div>
</div>
<ToolbarItem
widget="dxButton"
toolbar="bottom"
location="center"
options={bookButtonOptions}
/>
</Popup>
<Popup
width={360}
height={320}
visible={popupWithScrollViewVisible}
onHiding={hide}
hideOnOutsideClick={true}
showCloseButton={true}
title="Downtown Inn"
>
<ScrollView
width="100%"
height="100%"
>
<div className="caption">Description</div>
In the heart of LA's business district, the Downtown Inn has a welcoming staff and
award winning restaurants that remain open 24 hours a day. Use our conference room
facilities to conduct meetings and have a drink at our beautiful rooftop bar.
<br />
<br />
<div className="content">
<div>
<div className="caption">Features</div>
<div>Concierge</div>
<div>Restaurant</div>
<div>Valet Parking</div>
<div>Fitness Center</div>
<div>Sauna</div>
<div>Airport Shuttle</div>
</div>
<div>
<div className="caption">Rooms</div>
<div>Climate control</div>
<div>Air conditioning</div>
<div>Coffee/tea maker</div>
<div>Iron/ironing</div>
</div>
</div>
</ScrollView>
<ToolbarItem
widget="dxButton"
toolbar="bottom"
location="center"
options={bookButtonOptions}
/>
</Popup>
</React.Fragment>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@25.1.3/cjs',
'devextreme-react': 'npm:devextreme-react@25.1.3/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.19/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.62/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.label {
font-size: 12px;
}
.demo-container {
height: 450px;
display: flex;
align-items: center;
flex-direction: column;
justify-content: center;
gap: 40px;
}
.button-container {
display: flex;
align-items: center;
flex-direction: column;
justify-content: center;
gap: 15px;
}
.dx-popup-content {
font-size: 12px;
}
.caption {
padding-bottom: 8px;
font-weight: 500;
}
.content {
display: flex;
justify-content: space-between;
}
.popup-content {
height: 100%;
width: 100%;
}
A click on the second Show Popup button also displays a Popup with a scrollbar, but this scrollbar belongs to the ScrollView component. This implementation is more flexible. For example, you can enable right-to-left representation or scroll the content to a specific position. For more information about the available options, refer to the ScrollView API section.
To implement the second solution, follow the steps below:

Backend API
<div class="demo-container">
<div class="button-container">
<dx-button
text="Show Popup"
type="default"
[width]="300"
(onClick)="showPopup()"
>
</dx-button>
<div class="label"> A native scrollable container </div>
</div>
<div class="button-container">
<dx-button
text="Show Popup"
[width]="300"
(onClick)="showPopupWithScrollView()"
>
</dx-button>
<div class="label"> The ScrollView </div>
</div>
</div>
<dx-popup
[width]="360"
[height]="320"
[hideOnOutsideClick]="true"
[showCloseButton]="true"
[(visible)]="popupVisible"
title="Downtown Inn"
>
<div *dxTemplate="let data of 'content'">
<div>
<div class="caption">Description</div>
In the heart of LA's business district, the Downtown Inn has a welcoming
staff and award winning restaurants that remain open 24 hours a day. Use
our conference room facilities to conduct meetings and have a drink at our
beautiful rooftop bar.
<br /><br />
<div class="content">
<div>
<div class="caption">Features</div>
<div>Concierge</div>
<div>Restaurant</div>
<div>Valet Parking</div>
<div>Fitness Center</div>
<div>Sauna</div>
<div>Airport Shuttle</div>
</div>
<div>
<div class="caption">Rooms</div>
<div>Climate control</div>
<div>Air conditioning</div>
<div>Coffee/tea maker</div>
<div>Iron/ironing</div>
</div>
</div>
</div>
</div>
<dxi-popup-toolbar-item
widget="dxButton"
toolbar="bottom"
location="center"
[options]="bookButtonOptions"
>
</dxi-popup-toolbar-item>
</dx-popup>
<dx-popup
[width]="360"
[height]="320"
[hideOnOutsideClick]="true"
[showCloseButton]="true"
[(visible)]="popupWithScrollViewVisible"
title="Downtown Inn"
>
<div *dxTemplate="let data of 'content'">
<dx-scroll-view width="100%" height="100%">
<div class="caption">Description</div>
In the heart of LA's business district, the Downtown Inn has a welcoming
staff and award winning restaurants that remain open 24 hours a day. Use
our conference room facilities to conduct meetings and have a drink at our
beautiful rooftop bar.
<br /><br />
<div class="content">
<div>
<div class="caption">Features</div>
<div>Concierge</div>
<div>Restaurant</div>
<div>Valet Parking</div>
<div>Fitness Center</div>
<div>Sauna</div>
<div>Airport Shuttle</div>
</div>
<div>
<div class="caption">Rooms</div>
<div>Climate control</div>
<div>Air conditioning</div>
<div>Coffee/tea maker</div>
<div>Iron/ironing</div>
</div>
</div>
</dx-scroll-view>
</div>
<dxi-popup-toolbar-item
widget="dxButton"
toolbar="bottom"
location="center"
[options]="bookButtonOptions"
>
</dxi-popup-toolbar-item>
</dx-popup>
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxPopupModule, DxScrollViewModule, DxTemplateModule } from 'devextreme-angular';
import { DxButtonModule, DxButtonTypes } from 'devextreme-angular/ui/button';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
})
export class AppComponent {
popupVisible = false;
popupWithScrollViewVisible = false;
bookButtonOptions: DxButtonTypes.Properties = {
width: 300,
text: 'Book',
type: 'default',
stylingMode: 'contained',
onClick: () => {
this.popupVisible = false;
this.popupWithScrollViewVisible = false;
},
};
showPopup() {
this.popupVisible = true;
}
showPopupWithScrollView() {
this.popupWithScrollViewVisible = true;
}
}
@NgModule({
imports: [
BrowserModule,
DxPopupModule,
DxButtonModule,
DxScrollViewModule,
DxTemplateModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
.label {
font-size: 12px;
}
::ng-deep .demo-container {
height: 450px;
display: flex;
align-items: center;
flex-direction: column;
justify-content: center;
gap: 40px;
}
::ng-deep .button-container {
display: flex;
align-items: center;
flex-direction: column;
justify-content: center;
gap: 15px;
}
::ng-deep .dx-popup-content {
font-size: 12px;
}
.caption {
padding-bottom: 8px;
font-weight: 500;
}
::ng-deep .content {
display: flex;
justify-content: space-between;
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.6/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.24',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.24/package.json',
'npm:devexpress-gantt@4.1.64/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "17.3.12"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.4.5"
},
"zone.js": {
"version": "0.14.10"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
A click on the second Show Popup button also displays a Popup with a scrollbar, but this scrollbar belongs to the ScrollView component. This implementation is more flexible. For example, you can enable right-to-left representation or scroll the content to a specific position. For more information about the available options, refer to the ScrollView API section.
To implement the second solution, follow the steps below:

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<template>
<div>
<div class="demo-container">
<div class="button-container">
<DxButton
:width="300"
text="Show Popup"
type="default"
@click="showPopup()"
/>
<div class="label"> A native scrollable container </div>
</div>
<div class="button-container">
<DxButton
:width="300"
text="Show Popup"
@click="showPopupWithScrollView()"
/>
<div class="label"> The ScrollView </div>
</div>
</div>
<DxPopup
v-model:visible="popupVisible"
:width="360"
:height="320"
:hide-on-outside-click="true"
:show-close-button="true"
title="Downtown Inn"
>
<template #content>
<div>
<div class="caption">Description</div>
In the heart of LA's business district, the Downtown Inn has a welcoming staff
and award winning restaurants that remain open 24 hours a day.
Use our conference room facilities to conduct meetings and have a drink
at our beautiful rooftop bar.
<br><br>
<div class="content">
<div>
<div class="caption">Features</div>
<div>Concierge</div>
<div>Restaurant</div>
<div>Valet Parking</div>
<div>Fitness Center</div>
<div>Sauna</div>
<div>Airport Shuttle</div>
</div>
<div>
<div class="caption">Rooms</div>
<div>Climate control</div>
<div>Air conditioning</div>
<div>Coffee/tea maker</div>
<div>Iron/ironing</div>
</div>
</div>
</div>
</template>
<DxToolbarItem
widget="dxButton"
toolbar="bottom"
location="center"
:options="bookButtonOptions"
/>
</DxPopup>
<DxPopup
v-model:visible="popupWithScrollViewVisible"
:width="360"
:height="320"
:hide-on-outside-click="true"
:show-close-button="true"
title="Downtown Inn"
>
<template #content>
<DxScrollView
width="100%"
height="100%"
>
<div class="caption">Description</div>
In the heart of LA's business district, the Downtown Inn has a welcoming staff
and award winning restaurants that remain open 24 hours a day.
Use our conference room facilities to conduct meetings and have a drink
at our beautiful rooftop bar.
<br><br>
<div class="content">
<div>
<div class="caption">Features</div>
<div>Concierge</div>
<div>Restaurant</div>
<div>Valet Parking</div>
<div>Fitness Center</div>
<div>Sauna</div>
<div>Airport Shuttle</div>
</div>
<div>
<div class="caption">Rooms</div>
<div>Climate control</div>
<div>Air conditioning</div>
<div>Coffee/tea maker</div>
<div>Iron/ironing</div>
</div>
</div>
</DxScrollView>
</template>
<DxToolbarItem
widget="dxButton"
toolbar="bottom"
location="center"
:options="bookButtonOptions"
/>
</DxPopup>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import { DxButton } from 'devextreme-vue/button';
import { DxPopup, DxToolbarItem } from 'devextreme-vue/popup';
import { DxScrollView } from 'devextreme-vue/scroll-view';
const popupVisible = ref(false);
const popupWithScrollViewVisible = ref(false);
const bookButtonOptions = {
width: 300,
text: 'Book',
type: 'default',
stylingMode: 'contained',
onClick: () => {
popupVisible.value = false;
popupWithScrollViewVisible.value = false;
},
};
function showPopup() {
popupVisible.value = true;
}
function showPopupWithScrollView() {
popupWithScrollViewVisible.value = true;
}
</script>
<style>
.label {
font-size: 12px;
}
.demo-container {
height: 450px;
display: flex;
align-items: center;
flex-direction: column;
justify-content: center;
gap: 40px;
}
.button-container {
display: flex;
align-items: center;
flex-direction: column;
justify-content: center;
gap: 15px;
}
.dx-popup-content {
font-size: 12px;
}
.caption {
padding-bottom: 8px;
font-weight: 500;
}
.content {
display: flex;
justify-content: space-between;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@25.1.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@25.1.3/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.19/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.62/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.4.5/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
A click on the second Show Popup button also displays a Popup with a scrollbar, but this scrollbar belongs to the ScrollView component. This implementation is more flexible. For example, you can enable right-to-left representation or scroll the content to a specific position. For more information about the available options, refer to the ScrollView API section.
To implement the second solution, follow the steps below: